<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::table('api_requests', function (Blueprint $table) {
            $table->enum('response_status', ['cache_hit', 'api_fetched', 'not_found', 'error', 'contact_submitted'])->change();
        });
    }

    public function down(): void
    {
        Schema::table('api_requests', function (Blueprint $table) {
            $table->enum('response_status', ['cache_hit', 'api_fetched', 'not_found', 'error'])->change();
        });
    }
};
